Name: ptpd
Summary: The Precision Time Protocol Daemon (ptpd)
Version: 2.3.1
Release: 2
Group: System Environment/Daemons
License: IBM ILAN
Url: https://github.com/ptpd/ptpd
Source0: https://sourceforge.net/projects/ptpd/files/latest/download/%{name}_aix_binaries_%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root
Requires: libpcap >= 1.7.4
# Must be on AIX 7.1 or higher
Requires: AIX-rpm >= 7.1.0.0

%description
The PTPD daemon provides an implementation of the Precision Time Protocol
IEEEE 1588-2008.
Built for AIX 7.1 and higher.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q

%build
# Nothing to build.  These are pre-built binaries.
exit 0 


%install

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/sbin
mkdir -p ${RPM_BUILD_ROOT}/usr/samples/tcpip/ptpd2
mkdir -p ${RPM_BUILD_ROOT}/etc
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin

cp -p usr/sbin/ptpd2 ${RPM_BUILD_ROOT}%{_prefix}/sbin/ptpd2
cp -p etc/ptpd2.conf ${RPM_BUILD_ROOT}/etc/ptpd2.conf
cp -p usr/samples/tcpip/ptpd2/ptpd2.conf ${RPM_BUILD_ROOT}/usr/samples/tcpip/ptpd2/ptpd2.conf

mkdir -p ${RPM_BUILD_ROOT}/sbin
ln -sf ../..%{_prefix}/sbin/ptpd2 ${RPM_BUILD_ROOT}/usr/sbin/ptpd2


##%post
##   Add a postinstall to run ptpd through srcmstr
#   Future enhancement for next iteration

##%postun
##   Add a postuninstall to run ptpd through srcmstr
#   Future enhancement for next iteration


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,bin,bin)
%doc Lic_en.txt
%dir /usr/samples/tcpip/ptpd2
%{_sbindir}/ptpd2
/etc/ptpd2.conf
/usr/samples/tcpip/ptpd2/ptpd2.conf
/usr/sbin/ptpd2


%changelog
* Sun Apr 20 2025 Sangamesh Mallayya <smallayy@in.ibm.com> - 2.3.1-2
- Rebuild for AIX 7.1 using RPMv4.

* Mon May 09 2016 David Clissold <cliss@us.ibm.com> 2.3.1-1
- Package James Hall's ptpd binaries into an RPM form.
- Should revisit and add pre/postinstall scripts to run through srcmstr

